Loading...
Searching...
No Matches
CTransportableObject Class Referenceabstract

Interface for transportable objects. More...

`#include <src/object/interface/transportable_object.h>`

Inheritance diagram for CTransportableObject:
[legend]

## Public Member Functions

| CTransportableObject (ObjectInterfaceTypes &types)
virtual void | SetTransporter (CObject *transporter)=0
| Set transporter object that transports this object.
virtual CObject * | GetTransporter ()=0
| Return transported object.
virtual void | SetTransporterPart (int part)=0
bool | IsBeingTransported ()
| Return true if the object is currently transported.

## Detailed Description

Interface for transportable objects.

## Member Function Documentation

## SetTransporter()

virtual void CTransportableObject::SetTransporter | ( | CObject * | transporter | ) |

pure virtual

Set transporter object that transports this object.

Implemented in COldObject.

## GetTransporter()

virtual CObject * CTransportableObject::GetTransporter | ( |  | ) |

pure virtual

Return transported object.

Implemented in COldObject.

## IsBeingTransported()

bool CTransportableObject::IsBeingTransported | ( |  | ) |

inline

Return true if the object is currently transported.

The documentation for this class was generated from the following file:

- src/object/interface/transportable_object.h